<?php

/**
 * Implementation of hook_context_default_contexts().
 */
function socios_context_default_contexts() {
  $export = array();
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'socios_feature';
  $context->description = '';
  $context->tag = 'Socios';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'socios' => 'socios',
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
    'views' => array(
      'values' => array(
        'socios_view:page_1' => 'socios_view:page_1',
        'socios_view:page_2' => 'socios_view:page_2',
      ),
    ),
  );
  $context->reactions = array(
    'menu' => 'socios',
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Socios');

  $export['socios_feature'] = $context;
  return $export;
}
