<?php

/**
 * Implementation of hook_user_default_permissions().
 */
function socios_user_default_permissions() {
  $permissions = array();

  // Exported permission: access other socios
  $permissions['access other socios'] = array(
    'name' => 'access other socios',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'manager',
    ),
  );

  // Exported permission: create socios content
  $permissions['create socios content'] = array(
    'name' => 'create socios content',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'authenticated user',
      '2' => 'manager',
    ),
  );

  // Exported permission: delete any socios content
  $permissions['delete any socios content'] = array(
    'name' => 'delete any socios content',
    'roles' => array(
      '0' => 'administrator',
    ),
  );

  // Exported permission: delete own socios content
  $permissions['delete own socios content'] = array(
    'name' => 'delete own socios content',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'authenticated user',
      '2' => 'manager',
    ),
  );

  // Exported permission: edit any socios content
  $permissions['edit any socios content'] = array(
    'name' => 'edit any socios content',
    'roles' => array(
      '0' => 'administrator',
    ),
  );

  // Exported permission: edit own socios content
  $permissions['edit own socios content'] = array(
    'name' => 'edit own socios content',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'authenticated user',
      '2' => 'manager',
    ),
  );

  return $permissions;
}
